import Footer from "components/common/Footer";
import { BrowserVersionAlert } from "components/common/utils";

import "components/styles/bootstrap.scss";
import "components/styles/global.scss";

export default function RootLayout({
    children,
}: {
    children: React.ReactNode;
}) {
    return (
        <html lang="en">
            <head>
                <link
                    href="/favicon-32x32-light.png"
                    rel="shortcut icon"
                    media="(prefers-color-scheme: light)"
                />
                <link
                    href="/favicon-32x32-dark.png"
                    rel="shortcut icon"
                    media="(prefers-color-scheme: dark)"
                />
                <link
                    href="/favicon-64x64-light.png"
                    rel="shortcut icon"
                    media="(prefers-color-scheme: light)"
                />
                <link
                    href="/favicon-64x64-dark.png"
                    rel="shortcut icon"
                    media="(prefers-color-scheme: dark)"
                />
                <link
                    href="/favicon-128x128-light.png"
                    rel="shortcut icon"
                    media="(prefers-color-scheme: light)"
                />
                <link
                    href="/favicon-128x128-dark.png"
                    rel="shortcut icon"
                    media="(prefers-color-scheme: dark)"
                />
            </head>
            <BrowserVersionAlert />
            <body
                className="d-flex flex-column"
                style={{
                    height: "100dvh",
                }}
            >
                {children}
                <Footer />
            </body>
        </html>
    );
}

export const dynamic = "force-dynamic";
